geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Delos Dai (JIRA)" <j...@apache.org>
Subject [jira] Commented: (GERONIMODEVTOOLS-561) Can't change version in project facets
Date Mon, 02 Mar 2009 06:56:12 GMT

    [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-561?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12677907#action_12677907
] 

Delos Dai commented on GERONIMODEVTOOLS-561:
--------------------------------------------

After investigation, I found this scenario will trigger "version number change" event of "app
client" facet in WTP. Currently, no method is provided to implement the event in WTP. Because
"app client" facet is a built-in WTP facet, which is declared in org.eclipse.wst.server.core,
I think we can do nothing to add a event handler for this. Other server adapter also has this
problem, such as glassfish.  I suggest to reject this JIRA.

BTW, seems most WTP bulit-in facet don't have "vesion number change" event handler, so you
may also see the problem for other facet. 

Thanks, Viola!

> Can't change version in project facets
> --------------------------------------
>
>                 Key: GERONIMODEVTOOLS-561
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-561
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>    Affects Versions: 2.1.4
>         Environment: OS:windows JDK 1.5
>            Reporter: viola.lu
>            Assignee: Delos Dai
>            Priority: Minor
>
> 1.Create an application client in eclipse and run it on geronimo runtime
> 2.Right-click project properties and choose "App client " version from 5 to 1.4, but
error exists:
> App Client 5 can't be uninstalled.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message